Debian Bug report logs - #512373
awstats emmits ton of warnings with new geoipfree

version graph

Package: awstats; Maintainer for awstats is Sergey B Kirpichev <skirpichev@gmail.com>; Source for awstats is src:awstats.

Reported by: Michal Čihař <nijel@debian.org>

Date: Tue, 20 Jan 2009 09:24:01 UTC

Severity: normal

Tags: patch

Found in version awstats/6.7.dfsg-5.1

Fixed in version awstats/6.9~dfsg-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#512373; Package awstats. (Tue, 20 Jan 2009 09:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
New Bug report received and forwarded. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Tue, 20 Jan 2009 09:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: awstats emmits ton of warnings with new geoipfree
Date: Tue, 20 Jan 2009 10:11:25 +0100
Package: awstats
Version: 6.7.dfsg-5.1
Severity: normal

Hi

with upgrade to libgeo-ipfree-perl 0.4-1, awstats throws tons of
following warnings:

Use of uninitialized value $_[0] in pattern match (m//) at
/usr/share/perl5/Geo/IPfree.pm line 80.

I don't know whether it is caused by bad parameters passwd by awstats or
by some problem in libgeo-ipfree-perl, but I see the problem in awstats
and so I report it here.

Downgrading back to libgeo-ipfree-perl 0.2-7 resolved it for me.

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-vserver-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages awstats depends on:
ii  perl [libtime-hires-perl]     5.10.0-19  Larry Wall's Practical Extraction 

Versions of packages awstats recommends:
ii  libnet-xwhois-perl            0.90-3     Whois Client Interface for Perl5

Versions of packages awstats suggests:
ii  libgeo-ipfree-perl            0.2-7      A look up country of ip address Pe
ii  libnet-dns-perl               0.63-2     Perform DNS queries from a Perl sc
ii  libnet-ip-perl                1.25-2     Perl extension for manipulating IP
ii  lighttpd [httpd]              1.4.19-5   A fast webserver with minimal memo

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#512373; Package awstats. (Tue, 03 Mar 2009 09:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrique Garcia <kike+bts@eldemonionegro.com>:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Tue, 03 Mar 2009 09:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 512373@bugs.debian.org (full text, mbox):

From: Enrique Garcia <kike+bts@eldemonionegro.com>
To: Debian Bug Tracking System <512373@bugs.debian.org>
Subject: awstats: Anyone working on this bug? Cron it's flooding my mail.
Date: Tue, 03 Mar 2009 09:58:40 +0100
Package: awstats
Version: 6.7.dfsg-5.1
Followup-For: Bug #512373


With libgeo-ipfree-perl version 0.5-1 everything is still the same.
Is there any workaround to solve this bug? Cron sends a report almost every time.

   Subject: Cron <www-data@machine> [ -x /usr/lib/cgi-bin/awstats.pl -a -f /etc/awstats/awstats.conf -a -r /var/log/apache2/access.log ] && /usr/lib/cgi-bin/awstats.pl -config=awstats -update >/dev/null

   Message: Use of uninitialized value $_[0] in pattern match (m//) at /usr/share/perl5/Geo/IPfree.pm line 81.
 

Regargs

-- System Information:
Debian Release: 5.0
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=es_ES.utf8, LC_CTYPE=es_ES.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages awstats depends on:
ii  perl [libtime-hires-perl]     5.10.0-19  Larry Wall's Practical Extraction 

Versions of packages awstats recommends:
ii  libnet-xwhois-perl            0.90-3     Whois Client Interface for Perl5

Versions of packages awstats suggests:
ii  apache2-mpm-prefork [httpd]   2.2.11-2   Apache HTTP Server - traditional n
ii  libgeo-ipfree-perl            0.5-1      Perl module to look up the country
ii  libnet-dns-perl               0.63-2     Perform DNS queries from a Perl sc
ii  libnet-ip-perl                1.25-2     Perl extension for manipulating IP

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#512373; Package awstats. (Tue, 03 Mar 2009 11:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to 512373@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Tue, 03 Mar 2009 11:24:04 GMT) Full text and rfc822 format available.

Message #15 received at 512373@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Enrique Garcia <kike+bts@eldemonionegro.com>, 512373@bugs.debian.org
Subject: Re: [Pkg-awstats-devel] Bug#512373: awstats: Anyone working on this bug? Cron it's flooding my mail.
Date: Tue, 3 Mar 2009 12:21:10 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Tue, Mar 03, 2009 at 09:58:40AM +0100, Enrique Garcia wrote:
>With libgeo-ipfree-perl version 0.5-1 everything is still the same.
>Is there any workaround to solve this bug? Cron sends a report almost 
>every time.

Noone have (yet) looked into this, I guess.

Perhaps it is tied to the issue mention in the NEWS file of 
libgeofree-perl?


  - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmtEqYACgkQn7DbMsAkQLjLaQCff4XUsCSibwHU5NrCE++XpDp6
GMAAninB/AKq8sp+Wc3dOcw4x7AtSozL
=9EGJ
-----END PGP SIGNATURE-----




Tags added: patch Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Tue, 03 Mar 2009 12:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#512373; Package awstats. (Tue, 03 Mar 2009 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to skirpichev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Tue, 03 Mar 2009 12:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 512373@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: 512373@bugs.debian.org
Subject: Re: Bug#512373: awstats: Anyone working on this bug? Cron it's flooding my mail.
Date: Tue, 3 Mar 2009 15:48:59 +0300
[Message part 1 (text/plain, inline)]
tags 512373 patch
thanks

Simple WA is just comment out "use warnings" in
/usr/share/perl5/Geo/IPfree.pm ;-)

It looks, the problem is in handling arguments of the new() method in
IPfree.pm.  

Try attached patch.

On Tue, Mar 03, 2009 at 09:58:40AM +0100, Enrique Garcia wrote:
> With libgeo-ipfree-perl version 0.5-1 everything is still the same.
> Is there any workaround to solve this bug? Cron sends a report almost every time.
> 
>    Subject: Cron <www-data@machine> [ -x /usr/lib/cgi-bin/awstats.pl -a -f /etc/awstats/awstats.conf -a -r /var/log/apache2/access.log ] && /usr/lib/cgi-bin/awstats.pl -config=awstats -update >/dev/null
> 
>    Message: Use of uninitialized value $_[0] in pattern match (m//) at /usr/share/perl5/Geo/IPfree.pm line 81.
[geoipfree.pm.diff (text/x-diff, attachment)]

Tags added: patch Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Tue, 03 Mar 2009 12:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#512373; Package awstats. (Tue, 03 Mar 2009 13:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Tue, 03 Mar 2009 13:12:04 GMT) Full text and rfc822 format available.

Message #29 received at 512373@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: skirpichev@gmail.com, 512371@bugs.debian.org, 512373@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#512371: Bug#512373: awstats: Anyone working on this bug? Cron it's flooding my mail.
Date: Tue, 3 Mar 2009 22:10:08 +0900
Hi all,

it seems that the message for bug 512373 arrived at bug 512373.

Never mind… thanks for sending patches :)

-- Charles Plessy, Debian Med packaging team, Tsurumi, Kanagawa, Japan

Le Tue, Mar 03, 2009 at 03:03:55PM +0300, Sergey B Kirpichev a écrit :
> tags 512373 patch
> thanks
> 
> Simple WA is just comment out "use warnings" in
> /usr/share/perl5/Geo/IPfree.pm ;-)
> 
> It looks, the problem is in handling arguments of the new() method in
> IPfree.pm.  
> 
> Try attached patch.
> 
> On Tue, Mar 03, 2009 at 09:58:40AM +0100, Enrique Garcia wrote:
> > With libgeo-ipfree-perl version 0.5-1 everything is still the same.
> > Is there any workaround to solve this bug? Cron sends a report almost every time.
> > 
> >    Subject: Cron <www-data@machine> [ -x /usr/lib/cgi-bin/awstats.pl -a -f /etc/awstats/awstats.conf -a -r /var/log/apache2/access.log ] && /usr/lib/cgi-bin/awstats.pl -config=awstats -update >/dev/null
> > 
> >    Message: Use of uninitialized value $_[0] in pattern match (m//) at /usr/share/perl5/Geo/IPfree.pm line 81.

> --- /usr/share/awstats/plugins/geoipfree.pm	2009-03-03 14:59:31.000000000 +0300
> +++ geoipfree.pm	2009-03-03 14:52:57.000000000 +0300
> @@ -51,7 +51,7 @@
>  	# ENTER HERE CODE TO DO INIT PLUGIN ACTIONS
>  	debug(" Plugin geoipfree: InitParams=$InitParams",1);
>  	%TmpDomainLookup=();
> -	$gi = Geo::IPfree::new();
> +	$gi = Geo::IPfree->new();
>  #	$gi->Faster; 	# Do not enable Faster as the Memoize module is rarely available
>  	# ----->
>  

> _______________________________________________
> Debian-med-packaging mailing list
> Debian-med-packaging@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/debian-med-packaging

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan




Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Tue, 03 Mar 2009 17:42:04 GMT) Full text and rfc822 format available.

Notification sent to Michal Čihař <nijel@debian.org>:
Bug acknowledged by developer. (Tue, 03 Mar 2009 17:42:05 GMT) Full text and rfc822 format available.

Message #34 received at 512373-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 512373-close@bugs.debian.org
Subject: Bug#512373: fixed in awstats 6.9~dfsg-1
Date: Tue, 03 Mar 2009 17:32:04 +0000
Source: awstats
Source-Version: 6.9~dfsg-1

We believe that the bug you reported is fixed in the latest version of
awstats, which is due to be installed in the Debian FTP archive:

awstats_6.9~dfsg-1.diff.gz
  to pool/main/a/awstats/awstats_6.9~dfsg-1.diff.gz
awstats_6.9~dfsg-1.dsc
  to pool/main/a/awstats/awstats_6.9~dfsg-1.dsc
awstats_6.9~dfsg-1_all.deb
  to pool/main/a/awstats/awstats_6.9~dfsg-1_all.deb
awstats_6.9~dfsg.orig.tar.gz
  to pool/main/a/awstats/awstats_6.9~dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 512373@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated awstats package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 03 Mar 2009 18:19:24 +0100
Source: awstats
Binary: awstats
Architecture: source all
Version: 6.9~dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 awstats    - powerful and featureful web server log analyzer
Closes: 299148 408086 494676 512373
Changes: 
 awstats (6.9~dfsg-1) unstable; urgency=low
 .
   [ Sergey B Kirpichev ]
   * New upstream release (Closes: #494676).
   * Add myself to Uploaders field.
   * Drop patches 0001 and 1005 (applied upstream).
   * Unfuzz patches 1002-1004.
   * Add new patch 1007 updating Russian translation. Thanks to Sergey
     Kirpichev at upstream tracker #2540486.
   * Add new patch 1008 enhancing the ExtraSection headings to include
     the words (Top XXX) for consistency with all other section headings.
   * Add new patch 1009 fixing URL to Hurd (Closes: #408086).
   * Add new patch 1010 fixing dirdata permissions (Closes: #299148).
   * Add new patch 1011 fixing Geo::IPfree warnings (Closes: #512373).
   * Add new patch 2001 hiding charts in days of month statistics.
   * Use debian defaults for geoip data files.
 .
   [ Jonas Smedegaard ]
   * Repackage upstream tarball.
   * Packaging moved to Git (from Subversion). Update debian/control and
     git-buildpackage configfile, enabling pristine-tar support.
   * Use new local CDBS snippet package-relations.mk to resolve, cleanup
     and apply CDBS-declared (build-)dependencies.
   * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).
   * Update local CDBS snippets:
     + upstream-tarball.mk: internal restructuring
     + buildinfo.mk: fix copyright years
     + copyright-check.mk: major rewrite, now generating hint file more
       readily usable as template for new proposed copyright format
     + Update README.cdbs-tweaks to also cover newly added package-
       relations.mk.
   * Rewrite debian/copyright using new proposed syntax (v440). Update
     copyright-hints.
   * Unfuzz patch 1006.
   * Depend on misc:depends (thanks to lintian) and cdbs:depends
     (currently unused, and drop superfluous dependencies (fulfilled by
     perl even in oldstable).
Checksums-Sha1: 
 e7ea2f37b911b41791670daf34eb63df14f8e1c9 1425 awstats_6.9~dfsg-1.dsc
 5a78283a36fc177384154f308aa92fe0c54f0d13 1127895 awstats_6.9~dfsg.orig.tar.gz
 8c45cae853b8c7d7fcad22ecaf13e4599701dee6 45240 awstats_6.9~dfsg-1.diff.gz
 1e987dc384c17d86cc8f10947d30862ed88b8ba6 944258 awstats_6.9~dfsg-1_all.deb
Checksums-Sha256: 
 8a3734525e69ad60404610989c34c31587410c3381414ea82885b0132bb967c8 1425 awstats_6.9~dfsg-1.dsc
 84521b74749ee66d2df8e828ec03d2b54b9ea7c7df89e5b0a81e670da725af6e 1127895 awstats_6.9~dfsg.orig.tar.gz
 a8cce219eb35d447fcaad02b7f1f638617f7d557115fc301a9d8bf34d449dc16 45240 awstats_6.9~dfsg-1.diff.gz
 8c06763e4f32da9249d033f4126f91216b7de78e9673666b42771de088917db9 944258 awstats_6.9~dfsg-1_all.deb
Files: 
 f64a2f6a1c230ba322d9463764035ec1 1425 web optional awstats_6.9~dfsg-1.dsc
 460c03a07b2e4d9a9ada6a7f320d46e8 1127895 web optional awstats_6.9~dfsg.orig.tar.gz
 6921eb01e02d88ada0df481e1c42af2f 45240 web optional awstats_6.9~dfsg-1.diff.gz
 ec3b09d0d396a84a305ab76fb16ef468 944258 web optional awstats_6.9~dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmtZ+IACgkQn7DbMsAkQLju7QCdFW4+3i8Os8PU9cMXabJNvQBt
so4AoI+dzrix+QgLFb+XN9CGkFhWXpJG
=H0BS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Apr 2009 07:35:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:18:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.